kio Library: KPropsDlgPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPropsDlgPlugin Class Reference

A Plugin in the Properties dialog This is an abstract class. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KPropsDlgPlugin:

[legend]
Collaboration diagram for KPropsDlgPlugin:

[legend]
List of all members.

## Public Slots
void | setDirty ()
## Signals
void | changed ()
## Public Member Functions
| KPropsDlgPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
void | setDirty (bool b)
bool | isDirty () const
## Static Public Member Functions
static bool | isDesktopFile (KFileItem *_item)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

A Plugin in the Properties dialog This is an abstract class.

You must inherit from this class to build a new kind of tabbed page for the KPropertiesDialog. A plugin in itself is just a library containing code, not a dialog's page. It's up to the plugin to insert pages into the parent dialog.

To make a plugin available, define a service that implements the KPropsDlg/Plugin servicetype, as well as the mimetypes for which the plugin should be created. For instance, ServiceTypes=KPropsDlg/Plugin,text/html,application/x-mymimetype.

You can also include X-KDE-Protocol=file if you want that plugin to be loaded only for local files, for instance.

Definition at line 437 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KPropsDlgPlugin::KPropsDlgPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor To insert tabs into the properties dialog, use the add methods provided by KDialogBase (the properties dialog is a KDialogBase). Definition at line 577 of file kpropertiesdialog.cpp. References properties.

## Member Function Documentation

void KPropsDlgPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented in KFileSharePropsPlugin, KFileMetaPropsPlugin, KFilePropsPlugin, KFilePermissionsPropsPlugin, KURLPropsPlugin, KBindingPropsPlugin, KDevicePropsPlugin, KDesktopPropsPlugin, KExecPropsPlugin, and KApplicationPropsPlugin. Definition at line 628 of file kpropertiesdialog.cpp. References endl(), and kdWarning(). Referenced by KPropertiesDialog::slotOk().

bool KPropsDlgPlugin::isDesktopFile | ( | KFileItem * | _item | ) | `[static]`

| Convenience method for most ::supports methods. Returns: true if the file is a local, regular, readable, desktop file Definition at line 591 of file kpropertiesdialog.cpp. Referenced by KFilePropsPlugin::KFilePropsPlugin().

void KPropsDlgPlugin::changed | ( |  | ) | `[signal]`

| Emit this signal when the user changed anything in the plugin's tabs. The hosting PropertiesDialog will call applyChanges only if the PropsPlugin has emitted this signal before. Referenced by KApplicationPropsPlugin::KApplicationPropsPlugin(), KBindingPropsPlugin::KBindingPropsPlugin(), KDesktopPropsPlugin::KDesktopPropsPlugin(), KExecPropsPlugin::KExecPropsPlugin(), KFilePermissionsPropsPlugin::KFilePermissionsPropsPlugin(), and KURLPropsPlugin::KURLPropsPlugin().

## Member Data Documentation

KPropertiesDialog* KPropsDlgPlugin::properties`[protected]`

| Pointer to the dialog. Definition at line 480 of file kpropertiesdialog.h. Referenced by KPropsDlgPlugin().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003